<?php

use Illuminate\Support\Facades\Route;
use Modules\Jiesuan\Http\Controllers\BankAccountController;
use Modules\Jiesuan\Http\Controllers\FinanceCheckController;
use Modules\Jiesuan\Http\Controllers\JiesuanController;
use PhpOffice\PhpSpreadsheet\Calculation\Statistical\Distributions\F;


Route::prefix('jiesuanManage')->group(function () {
    Route::prefix('bankAccount')->group(function (){
        Route::get('hezuoInfo', [BankAccountController::class, 'hezuoInfo']);
        Route::get('listCompanyCard', [BankAccountController::class, 'listCompanyCard']);
        Route::get('listAvailableBankCard', [BankAccountController::class, 'listAvailableBankCard']);
        Route::get('listBank', [BankAccountController::class, 'listBank']);
        Route::get('listShangwu', [BankAccountController::class, 'listShangwu']);
        Route::post('addCompanyCard', [BankAccountController::class, 'addCompanyCard']);
    });

    Route::prefix('jiesuan')->group(function(){
        Route::get('listTixian', [JiesuanController::class, 'listTixian']);
        Route::get('list', [JiesuanController::class, 'list']);
        Route::get('accountInfo', [JiesuanController::class, 'accountInfo']);
        Route::post('tixian', [JiesuanController::class, 'tixian']);
    });

    Route::prefix('financeCheck')->group(function(){
       Route::get('list', [FinanceCheckController::class, 'list']);
       Route::post('check', [FinanceCheckController::class, 'check']);
       Route::post('remit', [FinanceCheckController::class, 'remit']);
       Route::get('getShanghuAccountInfo', [FinanceCheckController::class, 'getShanghuAccountInfo']);
    });

    // 结算账户审核
    Route::prefix('verify')->group(function (){
        Route::any('list',[\Modules\Jiesuan\Http\Controllers\VerifyBankInfoController::class,"list"]);
        // 商户选择项
        Route::any('business/option',[\Modules\Jiesuan\Http\Controllers\VerifyBankInfoController::class,"businessOption"]);
        Route::any('check',[\Modules\Jiesuan\Http\Controllers\VerifyBankInfoController::class,"check"]);
    });
});

